/** Jeu d'essai pour l'implémentation de LOM/LOMFR/SCOLOM
  * @author 2012 Eric Seigne <eric.seigne@ryxeo.com>
  * @see The GNU Public License (GNU/GPL) v3
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program; if not, write to the Free Software Foundation, Inc.,
  * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */

#include <QtCore/QString>
#include <QtTest/QtTest>
#include <QtCore/QCoreApplication>
#include "abuleduscolomfrv1.h"
#include "tst_lomtests.h"
#include "tst_lomtests_export.h"
#include "tst_lomtests_import.h"
#include "tst_lomtests_vcard.h"

int main(int argc, char *argv[])
{
    lomTests test1;
    QTest::qExec(&test1, argc, argv);

    lomTestsExport test2;
    QTest::qExec(&test2, argc, argv);

    lomTestsImport test3;
    QTest::qExec(&test3, argc, argv);

    //Quand on saura faire des qtest de qwidget*
//    lomTestsVCard test4;
//    QTest::qExec(&test4, argc, argv);

    return 0;
}
