/** Classe AbulEduFileAboutV1
  * @see https://redmine.ryxeo.com/projects/
  * @author 2012 Eric Seigne <eric.seigne@ryxeo.com>
  * @see The GNU Public License (GNU/GPL) v3
  *
  */
 /*
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program. If not, see <http://www.gnu.org/licenses/>.
  */


#include "abuledufileaboutv1.h"
#include "ui_abuledufileaboutv1.h"

AbulEduFileAboutV1::AbulEduFileAboutV1(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::AbulEduFileAboutV1)
{
//    setWindowModality(Qt::ApplicationModal);
    ui->setupUi(this);

    m_abuledufile = new AbulEduFileV1();
}

AbulEduFileAboutV1::~AbulEduFileAboutV1()
{
    delete ui;
}

void AbulEduFileAboutV1::on_btnOuvrirFichier_clicked()
{
    m_abuledufile->abeFileOpen("/home/erics/leterrier/abbbox/haricots-verts-5047ac65.abb");
    AbulEduSCOLOMFrV1 *scolom = m_abuledufile->abeFileGetLOM();
    qDebug() << scolom;
    ui->widgetLOMFrV1->abeWLOMsetABELOMFrV1(scolom);
    ui->widgetSCOLOMFrV1->abeWLOMsetABESCOLOMFrV1(scolom);
//    ui->widgetLOMV1->abeWLOMsetABELOMFrV1(scolom);
//    ui->widgetLOMSuiteV1->abeWLOMsetABELOMFrV1(scolom);
}
