/**
  * Classe
  * @see https://redmine.ryxeo.com/projects/
  * @author 2012 Eric Seigne <eric.seigne@ryxeo.com>
  * @see The GNU Public License (GNU/GPL) v3
  *
  *
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program. If not, see <http://www.gnu.org/licenses/>.
  */


#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    qDebug() << "mainwindow";
    ui->setupUi(this);
    //On centre la fenetre sur l'ecran de l'utilisateur
    QDesktopWidget *desktop = QApplication::desktop();
    QRect screenRect = desktop->availableGeometry(this);
//    int desktop_width = screenRect.width();
//    int desktop_height = screenRect.height();
    //this->move((desktop_width-this->width())/2, (desktop_height-this->height())/2);
    this->move(0,0);
    this->setFixedSize(1024, 500);

    qDebug() << "*****Construction taille mainWindow : "  << this->geometry();
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    ui->lineEdit->setText(ui->lineEdit->text() + "toto" + " ");
}
